*==============================================================================*
* TITULO DE LA SINTAXIS:                                                       *
* Sintaxis de indicadores del Plan Nacional de Desarrollo- Objetivo 5          * 
* OPERACIÓN ESTADISTICA:                                                       *
* Encuesta Nacional Multipropósito a Hogares                                   *
* UNIDAD TECNICA RESPONSABLE:                                                  *
* ENTIDAD EJECUTORA:                                                           *
*==============================================================================*
* Fecha de elaboracion:        Abril 01 del 2019                               *
* Fecha ultima modificacion:   Marzo 13 del 2021                               *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)                            *
*==============================================================================*
* Revisado y Aprobado por:                                                     *
* Direccion:                                                                   *
* Direccion de Estadsticas Sociodemográficas (DIES)                           *
* Instituto Nacional de Estadistica y Censos (INEC)                            *
*==============================================================================*
*==============================================================================*
  * INSTRUCCIONES:
*==============================================================================*
* 1. Descargue las bases de la Encuesta Multipropósito de la página del INEC. 
* 2. Coloque en una sola carpeta todas las bases. 
* 3. No cambie los nombres originales de los archivos, en caso de hacerlo, deberá
*    remplazar los nombres en el presente archivo. 
* 4. En "cd" se debe colocar la dirección de la carpeta que contiene las bases.
  

	cd "......"  /*Colocar directorio*/ 

*==============================================================================*
* 1. Años promedio de Escolaridad 
*==============================================================================*
use 202012_multibdd_personas.dta, clear
	
*Diseño de muestras complejas 
*------------------------------------------------------------------------------*
svyset upm [iw=fexp0], strata(estrato0) vce(linearized) singleunit(certainty) 
*------------------------------------------------------------------------------*

cap drop escol 
gen escol =0 if s1p12a==1
replace escol = 0 if s1p12a==2 & s1p12b==0
replace escol = 2 if s1p12a==2 & s1p12b==1
replace escol = 4 if s1p12a==2 & s1p12b==2
replace escol = 6 if s1p12a==2 & s1p12b==3
replace escol = 7 if s1p12a==2 & s1p12b==4
replace escol = 8 if s1p12a==2 & s1p12b==5
replace escol = 9 if s1p12a==2 & s1p12b==6
replace escol = 10 if s1p12a==2 & s1p12b==7
replace escol = 11 if s1p12a==2 & s1p12b==8
replace escol = 12 if s1p12a==2 & s1p12b==9
replace escol = 13 if s1p12a==2 & s1p12b==10
replace escol= 1 if s1p12a==3
replace escol = (1 + s1p12b) if s1p12a==4
replace escol = s1p12b if s1p12a==5
replace escol = (7+s1p12b)  if s1p12a==6
replace escol = (10+s1p12b) if s1p12a==7
replace escol = (13+s1p12b) if s1p12a==8
replace escol = (13+s1p12b) if s1p12a==9
replace escol = (18+s1p12b) if s1p12a==10

gen x1=0
replace x1=escol if (s1p3>=24 & s1p3<=98)
gen y1=0
replace y1=1 if (s1p3>=24 & s1p3<=98)

* Resultados
svy: ratio x1/y1 
svy: ratio x1/y1, over(area) 
	
*==============================================================================*
* 2. Tasa bruta de matrícula en secundaria 
*==============================================================================*

use 202012_multibdd_educación_actfisica_tics.dta, clear
	
*Diseño de muestras complejas 
*------------------------------------------------------------------------------*
svyset upm [iw=fexp], strata(estrato) vce(linearized) singleunit(certainty) 
*------------------------------------------------------------------------------*
	
gen x2=0
replace x2=1 if (s2p1==1 & s2p2a==4 & (s2p2b>=8 & s2p2b <=10)) 
replace x2=1 if (s2p1==1 & s2p2a==5 & (s2p2b>=1 & s2p2b <=6)) 
replace x2=1 if (s2p1==1 & s2p2a==6 & (s2p2b>=1 & s2p2b <=3)) 
gen y2=0
replace y2=1 if (s1p3 >=12 & s1p3<=17) 	

* Resultados
svy: ratio x2/y2 
svy: ratio x2/y2, over(area) 

*==============================================================================*
* 3. Porcentaje de personas que utilizan internet 
*==============================================================================*
gen x3=0
replace x3=1 if (s1p3>=5 & s1p3<=98) & ( s7p2==1)
gen y3=0
replace y3=1 if (s1p3>=5 & s1p3<=98) 

* Resultados
svy: ratio x3/y3 
svy: ratio x3/y3, over(area) 

*==============================================================================*
* 4. Porcentaje  de hogares con al menos un computador 
*==============================================================================*
use 202012_multibdd_equipamiento.dta, clear
	
*Diseño de muestras complejas 
*------------------------------------------------------------------------------*
svyset upm [iw=fexp3], strata(estrato3) vce(linearized) singleunit(certainty) 
*------------------------------------------------------------------------------*

gen x4=0
replace x4=1 if (s11p11a==1 | s11p12a==1)  	
gen y4=0
replace y4=1 if (s11p11a==1 | s11p11a==2) | (s11p12a==1|s11p12a==2)  

* Resultados
svy: ratio x4/y4 
svy: ratio x4/y4, over(area) 
	
*==============================================================================*
* 5. Porcentaje de hogares con acceso a internet 	
*==============================================================================*
gen x5=0
replace x5=1 if s11p2==1
gen y5=0
replace y5=1 if (s11p2==1 | s11p2==2) 	

* Resultados
svy: ratio x5/y5 
svy: ratio x5/y5, over(area) 
	
*==============================================================================*
*                                     FIN
*==============================================================================*
	
