﻿*==============================================================================*
* TITULO DE LA SINTAXIS:                                                       *
* Sintaxis de indicadores del Plan Nacional de Desarrollo- Objetivo 6          *  
* OPERACIÓN ESTADISTICA:                                                       *
* Encuesta Nacional Multipropósito a Hogares                                   *
* UNIDAD TECNICA RESPONSABLE:                                                  *
* ENTIDAD EJECUTORA:                                                           *
*==============================================================================*
* Fecha de elaboración:        Abril 01  del 2019                              *
* Fecha ultima modificación:   Marzo 13  del 2021                              *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)                            *
*==============================================================================*
* Revisado y Aprobado por:                                                     *
* Direccion:                                                                   *
* Direccion de Estadisticas Sociodemográficas (DIES)                           *
* Instituto Nacional de Estadística y Censos (INEC)                            *
*==============================================================================*
*==============================================================================*
  * INSTRUCCIONES:
*==============================================================================*
* 1. Descargue las bases de la Encuesta Multipropósito de la página del INEC. 
* 2. Coloque en una sola carpeta todas las bases. 
* 3. No cambie los nombres originales de los archivos, en caso de hacerlo,tambien
*    se debe remplazar los nombres en el presente archivo. 
* 4. En "cd" se debe colocar la dirección de la carpeta que contiene las bases.
  
   cd "......"  /*Colocar directorio*/ 
	
*==============================================================================*
*1. Calificación a la educación pública  en el área rural 
*==============================================================================*

use 202012_multibdd_confianza.dta, clear
	
*Diseño de muestras complejas 
*------------------------------------------------------------------------------*
svyset upm [iw=fexp2], strata(estrato2) vce(linearized) singleunit(certainty) 
*------------------------------------------------------------------------------*
clonevar cal_bas_sec= s82p3f
clonevar cal_superio= s82p3g
clonevar uso_bas_sec= s82p2f
clonevar uso_superio= s82p2g

gen caledubs=cal_bas_sec if ((cal_bas_sec>=0 & cal_bas_sec<=10)& uso_bas_sec==1) 
gen caledusup=cal_superio if ((cal_superio>=0 & cal_superio<=10) & uso_superio==1) 
egen caledutot=rsum (caledubs caledusup)
gen caledutotfin=caledutot/2 if caledubs!=.& caledusup!=.
gen caledutotfin2=caledutot if caledubs!=. | caledusup!=.
replace caledutotfin2=. if caledubs!=. & caledusup!=.
egen caledutotfinal=rsum (caledutotfin caledutotfin2)
replace caledutotfinal=. if caledubs==. & caledusup==.

gen x1=0
replace x1=caledutotfinal 
gen y1=0
replace y1=1 

* Resultados
svy: ratio x1/y1 
svy: ratio x1/y1, over(area) 
	
*==============================================================================*
*2. Satisfacción del servicio recibido por parte del Consejo de la Judicatura (Jueces)
*==============================================================================*
replace s82p4b=. if  s82p4b==999 
gen x2=0
replace x2=s82p4b if s82p2b == 1
gen y2=0
replace y2=1 if (s82p4b >=0 & s82p4b <=10) & s82p2b ==1 

* Resultados
svy: ratio x2/y2 
svy: ratio x2/y2, over(area) 

*==============================================================================*
*6. Satisfacción del servicio recibido por parte de la Fiscalía General del Estado
*==============================================================================*
replace s82p4a =. if s82p4a==999 
gen x3=0
replace x3= s82p4a if s82p2a == 1
gen y3=0 
replace y3=1 if (s82p4a >=0 & s82p4a <=10) & s82p2a == 1

* Resultados
svy: ratio x3/y3 
svy: ratio x3/y3, over(area) 

*==============================================================================*
*                                     FIN
*==============================================================================*
