﻿*==============================================================================*
* TITULO DE LA SINTAXIS:    						                           *
* Sintaxis de indicadores del Plan Nacional de Desarrollo- Objetivo 7          *
* OPERACIÓN ESTADISTICA:                                                       *
* Encuesta Nacional Multipropósito a Hogares                                   *
* UNIDAD TECNICA RESPONSABLE:                                                  *
* ENTIDAD EJECUTORA:                                                           *
*==============================================================================*
* Fecha de elaboracion:        Abril 01  del 2019                              *
* Fecha ultima modificacion:   Marzo 13  del 2021                              *
*==============================================================================*
* Elaborado por:                                                               *
* Instituto Nacional de Estadística y Censos (INEC)                            *
*==============================================================================*
* Revisado y Aprobado por:                                                     *
* Direccion:                                                                   *
* Direccion de Estadísticas Sociodemográficas (DIES)                           *
* Instituto Nacional de Estadística y Censos (INEC)                            *
*==============================================================================*
*==============================================================================*
  * INSTRUCCIONES:
*==============================================================================*
* 1. Descargue las bases de la Encuesta Multipropósito de la página del INEC. 
* 2. Coloque en una sola carpeta todas las bases. 
* 3. No cambie los nombres originales de los archivos, en caso de hacerlo,deberá
*    remplazar los nombres en el presente archivo. 
* 4. En "cd" se debe colocar la dirección de la carpeta que contiene las bases.
  
	cd "......"  /*Colocar directorio*/ 
	
*==============================================================================*
*1. Índice de percepción de atención y calidad del servidor público
*==============================================================================*
 use 202012_multibdd_calidad.dta, clear  

	*Diseño de muestras complejas 
*------------------------------------------------------------------------------*
svyset upm [iw=fexp1], strata(estrato1) vce(linearized) singleunit(certainty) 
*------------------------------------------------------------------------------*

replace s91p51=. if  s91p51==99
replace s91p52=. if  s91p52==99
replace s91p53=. if  s91p53==99
replace s91p51=. if  (s91p51<0 | s91p51>10)		
replace s91p52=. if  (s91p52<0 | s91p52>10)	
replace s91p53=. if  (s91p53<0 | s91p53>10)	

*suma promedios
gen numerador=(s91p51+s91p52+s91p53)/3
gen denominador=1 if s91p4==1
gen x1=0
replace x1=numerador
gen y1=0
replace y1=1 if denominador==1

* Resultados
svy: ratio x1/y1 
svy: ratio x1/y1, over(area) 
	

*==============================================================================*
*2. Confianza en las Fuerzas Armadas  
*==============================================================================*

use 202012_multibdd_confianza.dta, clear

*Diseño de muestras complejas 
*------------------------------------------------------------------------------*
svyset upm [iw=fexp2], strata(estrato2) vce(linearized) singleunit(certainty) 
*------------------------------------------------------------------------------*

replace s82p1d =. if s82p1d ==999 
gen x2=0
replace x2= s82p1d
gen y2=0
replace y2=1 if (s82p1d >=0 & s82p1d <=10) 

* Resultados
svy: ratio x2/y2 
svy: ratio x2/y2, over(area) 

*==============================================================================*
*3. Confianza en el Consejo de la Judicatura
*==============================================================================*
replace s82p1b =. if s82p1b ==999 
gen x3=0
replace x3= s82p1b 
gen y3=0
replace y3=1 if (s82p1b >=0 & s82p1b <=10) 

* Resultados
svy: ratio x3/y3 
svy: ratio x3/y3, over(area) 


*==============================================================================*
* 4. Confianza en la Defensoría Pública
*==============================================================================*
replace s82p1c =. if s82p1c ==999 
gen x4=0
replace x4= s82p1c
gen y4=0
replace y4=1 if (s82p1c >=0 & s82p1c <=10)

* Resultados
svy: ratio x4/y4 
svy: ratio x4/y4, over(area) 
		
*==============================================================================*
*5. Confianza en la Fiscalía General del Estado   
*==============================================================================*

replace s82p1a =. if (s82p1a ==999 | s82p1a==888)
gen x5=0
replace x5= s82p1a 
gen y5=0
replace y5=1 if (s82p1a >=0 & s82p1a <=10) 


* Resultados
svy: ratio x5/y5 
svy: ratio x5/y5, over(area) 


*==============================================================================*
*6. Indice de percepción de la calidad de los servicios publicos en general
*==============================================================================*

use 202012_multibdd_calidad.dta, clear  

*Diseño de muestras complejas 
*------------------------------------------------------------------------------*
svyset upm [iw=fexp1], strata(estrato1) vce(linearized) singleunit(certainty) 
*------------------------------------------------------------------------------*

replace s91p1=. if s91p1==99
replace s91p1=. if  (s91p1<0 | s91p1>10)			
mean s91p1
gen x6=0
replace x6=s91p1
gen y6=0
replace y6=1 if (s91p1>=0 & s91p1<=10) 

* Resultados 
svy: ratio x6/y6 
svy: ratio x6/y6 , over(area)

*==============================================================================*
*7. Confianza en la  Policía Nacional
*==============================================================================*

use 202012_multibdd_confianza.dta, clear

*------------------------------------------------------------------------------*
svyset upm [iw=fexp2], strata(estrato2) vce(linearized) singleunit(certainty) 
*------------------------------------------------------------------------------*

replace s82p1e =. if  s82p1e ==999 
gen x7=0
replace x7=s82p1e 
gen y7=0
replace y7=1 if (s82p1e>=0 & s82p1e <=10)

*Resultados
svy: ratio x7/y7 
svy: ratio x7/y7 , over(area)

*==============================================================================*
*8. Satisfacción del servicio recibido por parte de la Defensoría Pública
*==============================================================================*
replace s82p4c =. if s82p4c==999 
gen x8=0
replace x8= s82p4c if s82p2c == 1
gen y8=0
replace y8=1 if (s82p4c>=0 & s82p4c<=10) & s82p2c == 1
* Resultados
svy: ratio x8/y8 
svy: ratio x8/y8, over(area) 

*==============================================================================*
*                                     FIN
*==============================================================================*
