﻿*=============================================================================================*
* TITULO DE LA SINTAXIS:                                                                      *
* Sintaxis de indicadores de la Agenda 2030 (ODS)          	                     			  * 
* OPERACIÓN ESTADISTICA:                                                       				  *
* Encuesta Nacional Multipropósito de Hogares                                				  *
* UNIDAD TECNICA RESPONSABLE:                                                				  *
* ENTIDAD EJECUTORA:                                                        				  *
*=============================================================================================*
* Fecha de elaboracion:        Abril 01  del 2019                              				  *
* Fecha ultima modificacion:   Marzo 13  del 2021                                             *
*=============================================================================================*
* Elaborado por:                                                               				  *
* Instituto Nacional de Estadistica y Censos (INEC)                            				  *
*=============================================================================================*
* Revisado y Aprobado por:                                                    				  *
* Direccion:                                                                  				  *
* Direccion de Estadisticas Sociodemograficas (DIES)                           				  *
* Instituto Nacional de Estadistica y Censos (INEC)                           				  *
*=============================================================================================*
*=============================================================================================*
  * INSTRUCCIONES:
*=============================================================================================*
* 1. Descargue las bases de la Encuesta Multipropósito de la página del INEC. 
* 2. Coloque en una sola carpeta todas las bases. 
* 3. No cambie los nombres originales de los archivos, en caso de hacerlo,deberá
*    remplazar los nombres en el presente archivo. 
* 4. En "cd" se debe colocar la dirección de la carpeta que contiene las bases.

cd "......."  /*Colocar directorio*/   

use 202012_multibdd_educación_actfisica_tics.dta, clear 

*------------------------------------------------------------------------------*
svyset upm [iw=fexp], strata(estrato) vce(linearized) singleunit(certainty)
*------------------------------------------------------------------------------*
	  
*=============================================================================================*
* 1.Proporción de personas que utilizan teléfonos móviles
*=============================================================================================*
 
 gen x1=0
 replace x1=1 if s7p1a==1 & (s1p3>=5 & s1p3<=98)
 gen y1=0
 replace y1=1 if (s1p3>=5 & s1p3<=98)
 
 * Resultado 
 svy: ratio x1/y1
 svy: ratio x1/y1, over(area) 
 svy: ratio x1/y1, over(s1p2) 

*=============================================================================================*
*  3. Porcentaje de hogares con acceso a electricidad                                 
*=============================================================================================*
use 202012_multibdd_viviendahogar.dta, clear 

*---------------------------------------------------------------------------------------------*
svyset upm [iw=fexp3], strata(estrato3) vce(linearized) singleunit(certainty)
*---------------------------------------------------------------------------------------------*

gen x2=0 
replace x2=1 if (s12p9>=1 & s12p9<=2)
gen y2=0
replace y2=1 
* Resultado 
svy: ratio x2/y2
svy: ratio x2/y2, over(area) 


*=============================================================================================*
*  6. Proporción de personas que usan internet                          
*=============================================================================================*

use 202012_multibdd_educación_actfisica_tics.dta, clear 

*------------------------------------------------------------------------------*
svyset upm [iw=fexp], strata(estrato) vce(linearized) singleunit(certainty)
*------------------------------------------------------------------------------*
	  
 gen x3=0
 replace x3=1 if (s1p3>=5 & s1p3<=98) & s7p2==1 
 gen y3=0
 replace y3=1 if (s1p3>=5 & s1p3<=98) 
 
*Resultados 
 svy: ratio x3/y3
 svy: ratio x3/y3, over(area) 

*=============================================================================================*
*                                     FIN
*=============================================================================================*
